## 1.2.4

Wonderland Editor is now available as a Linux Flatpak app! You can install it [directly from Flathub](https://flathub.org/apps/com.wonderlandengine.editor).

This release also introduces a bundled plugin for cleaning up project resources and brings many bugfixes and UI polish.

### Changelog

**Editor**
- Enable support for Linux system notifications
- Disable system notifications when run with `--windowless`
- Add `--enable-plugins` CLI argument to run with plugins enabled regardless of
  project settings
- New project setting `maxTexturesBinSize` to split delay-loaded textures .bin
  file into multiple smaller files
- Make generated code in index.ts TypeScript-conformant
- Make Windows file watching more robust
- Eliminate race condition in login flow
- Fix signup link in the account window
- Clean up various UI inconsistencies
- Asset Browser: Remove red tint from grayscale image thumbnails
- Show thumbnails in Sky image dropdown
- Add About > Templates to open the user template folder
- Fix deleting of an object crashing the editor if it has a component with string property attached
- Add generating type definitions for Materials

**Runtime**
- Fix multiple bugs when switching scenes with PhysX components
- Add more descriptive error when loading glTF at runtime without
  enabling runtime support
- Fix loading of WebP files from glTF models

**Engine**
- Optimize mesh attribute loading
- Add support for bidirectional scripts in text components

**JavaScript/TypeScript API**
- Fix wrong objects being affected by Animation.retarget()
- Make texture material properties accept `null` and `undefined` again

**Plugins**
- Cleanup: New plugin to remove resources with broken file links

**Plugin API**
- Improve error handling for incorrect parameters
- Fix `delete` on data properties
